# Parts list

| **#** 	| **Part**                           	| **Amount** 	| **Optional** 	| **Remarks**                                          	|
|-------	|------------------------------------	|------------	|--------------	|------------------------------------------------------	|
| 1     	| Main PCB                           	| 1          	|              	|                                                      	|
| 2     	| Front PCB                          	| 1          	| Yes          	|                                                      	|
| 3     	| Acryl front and back               	| 1          	| Yes          	|                                                      	|
| 4     	| WeAct 2.13 inch B/W ePaper display 	| 7          	|              	| Buy at [AliExpress](https://www.aliexpress.com/item/1005004644515880.html?pdp_ext_f=%7B%22sku_id%22%3A%2212000031468032209%22%7D)<br>Make sure you select the right version 2.13-Black-White! B/W/R is not usable.	|
| 5     	| 2x4pin 2.54mm Female Header        	| 7          	|              	| Included in required components set                  	|
| 6     	| Wemos S3 Mini                      	| 1          	|              	| Buy at [Tinytronics (Dutch webshop)](https://www.tinytronics.nl/shop/nl/development-boards/microcontroller-boards/met-wi-fi/wemos-s3-mini-esp32-s3-v1.0.0)<br>Buy at [AliExpress](https://www.aliexpress.com/item/1005005449219195.html?)  	|
| 7     	| 3pin 2.54mmm Male header           	| 3          	|              	| Included in required components set                  	|
| 8     	| 2.54mm Female Jumper               	| 3          	|              	| Included in required components set                  	|
| 9     	| 100nF SMD capacitor 0805           	| 6          	|              	| Included in required components set                  	|
| 10    	| MCP23017-E/SP                      	| 1          	|              	| Included in required components set                  	|
| 11    	| 12x12x7.3mm tactile push button    	| 5          	|              	| Included in required components set                  	|
| 12    	| 12x12 round button cap             	| 5          	|              	| Included in required components set                  	|
| 13    	| Resistor 4.7k ohm                  	| 2          	|              	| Included in required components set                  	|
| 14    	| Resistor 10k ohm                   	| 1          	|              	| Included in required components set                  	|
| 15    	| 10 pin Resistor Array 10k ohm      	| 1          	|              	| Included in required components set                  	|
| 16    	| USB-C 2-pin port                   	| 1          	| Yes          	| Included in required components set                  	|
| 17    	| WS2812B 5050 LEDs                  	| 4          	|              	| Included in required components set                  	|
| 18    	| M3x6x1 spacer (washer)              	| 28         	|              	| Included in screw set                                	|
| 19    	| M3x6 standoff M-F                  	| 4          	|              	| Included in screw set                                	|
| 20    	| M3x6 screw                         	| 56         	|              	| Included in screw set                                	|
| 21    	| M3x8 standoff M-F                  	| 8          	|              	| Included in screw set                                	|
| 22    	| M3x10 standoff F-F                 	| 28         	|              	| Included in screw set                                	|
| 23    	| M3x12 standoff F-F                 	| 2         	|              	| Included in screw set                                    |
| 24    	| M3x10 screw                        	| 4          	|              	| Included in screw set                                	|
| 25    	| M3 nut                             	| 2          	|              	| Included in screw set                                	|
| 26    	| 1N4001 diode                        	| 1          	|              	| Included in required components set (since V.1-23)                               	|
---

# Board revisions

| PCB Version 	| Version blockhash                                             | Changelog |
|-------------|------------------------------------------------------------------|---|
| V.0-10 | [00000000000000000001a5363330f9cc3d55f383f37b87791bd1b772c6dbded4](https://mempool.space/block/00000000000000000001a5363330f9cc3d55f383f37b87791bd1b772c6dbded4) | First Beta |
| V.1-00 | [00000000000000000004b660247df8ef1f91231d5b3877fcfaca8a03c709cb72](https://mempool.space/block/00000000000000000004b660247df8ef1f91231d5b3877fcfaca8a03c709cb72) | First Version |
| V.1-22 | [0000000000000000000540c807c73e5a4ba24284ee351d287978e324a786dae3](https://mempool.space/block/0000000000000000000540c807c73e5a4ba24284ee351d287978e324a786dae3) | Added USB-C on the back. (Power only) |
| V.1-23 | [00000000000000000001ac31d136df6577f457e683e8b98b03d628840a1d3b4c](https://mempool.space/block/00000000000000000001ac31d136df6577f457e683e8b98b03d628840a1d3b4c) | Follow UP USB-C on the back. Added diode for reverse polarity protection |
| V.1-40 | [00000000000000000001b035d353d599df6fa46122c07cf2036ae9959669a4b2](https://mempool.space/block/00000000000000000001b035d353d599df6fa46122c07cf2036ae9959669a4b2)  | Follow UP Greater holes for diode and placement marking R1 |
| V.1-41 | [0000000000000000000126c60537b7b83e2cbc38eed1b652e24d870bd5591139](https://mempool.space/block/0000000000000000000126c60537b7b83e2cbc38eed1b652e24d870bd5591139) | SMD Capacitors to Back |
| V.1-45 | [000000000000000000031ae555d445f1f0349d68afba1da7c3bd9b908868dd6c](https://mempool.space/block/000000000000000000031ae555d445f1f0349d68afba1da7c3bd9b908868dd6c) | Follow Up Full SMD Version |

![Board](../media/IMG_2143.jpeg)

# Building instructions

This instruction will guide you through the building process. Please read carefully before you start building, some parts have polarity, keep this in mind during the process.

## Solder SMD components

*Note*: The bare PCB without SMD components isn't sold anymore since november 2023. 
You might still have the SMD components in the plastic box, but you don't need them.

<img src="../media/IMG_2158.jpeg" width="500"/>
<img src="../media/IMG_2159.jpeg" width="500"/>

First step is to solder the SMD capacitors on the front and back of the main PCB. (C1 t/m C6)

<img src="../media/IMG_2161.jpeg" width="500"/>

Next will be the LED’s (WS2812B) **WARNING** this component has polarity! The white triangle has to be in the lower right corner!

<img src="../media/overview-diode-resistors.jpeg" width="500"/>

## Solder through hole components

Now it’s time for the resistors. **WARNING** R1 has polarity! Pin one (marked with a dot) should be at the side with the diagonal corner, next to the jumpers.
The other resistors don’t have polarity but have different values, R2/R3 are 4K7 and R4 is 10K.

![IMG_1451](https://github.com/dsbaars/btclock_v2/assets/480514/ffbec8f4-3d6e-4fda-b9e8-59acebc343f5)

You can choose to use a precision IC-mount (not included in the kit) or solder the MCP23017 directly to the PCB. We prefer an IC-mount so if you need to change the IC in the future it’s an easy job, the choice is yours ;) 
If you choose to use an IC-mount note that it has polarity! The MCP23017 has polarity as well, the dot on the main PCB notes for pin 1, the must be corresponding with the dot on the MCP23017.

<img src="../media/diode-marking.jpeg" height="250"/>

Next up is the 1N4001 diode, **WARNING** the diode also has polarity. Align the line on the 1N4001 with the line on the PCB.

If you ordered a pre-soldered PCB you might not have a diode. This is not a problem since it is just a protection against reverse polarity of the extra USB port. The pre-soldered PCBs are tested for this.

<img src="../media/overview-diode-resistors.jpeg" width="500"/>

When placed correctly it should look like this:

<img src="../media/IMG_2167.jpeg" width="248" height="170"/> <img src="../media/IMG_2168.jpeg" width="248" height="170"/>

<span style="color: red !important;">**Recommended:**</span> Test the Wemos S3 Mini on your computer before soldering it on the board to rule out a possible DOA. You might need to put the S3 Mini in boot-mode before it is recognized for the first time.

We recommended to use 2x8 2,54 male headers instead of 2 1x8 2,54 male headers on both sides of the Wemos S3 mini. This makes soldering the Wemos S3 Mini on the main PCB much easier (Please note that double headers are not included in the kit).

<img src="../media/IMG_2170.jpeg" width="500"/>

Now it’s time to solder the 2x4 2,54 female headers like the picture above. Also the 1x3 2,54 male headers can be placed, above the MCP2307 see picture below. The jumpers had to be placed in the down position, as close to the MCP23017

<img src="../media/PL1-3.png" width="500"/>

If you had chosen to use an IC-mount it’s time to place the MCP23017 remember that the MCP23017 has polarity, the dot on the main PCB must be corresponding to the dot on the MCP23017

<img src="../media/usb-polarity.jpeg" width="250"/>

Solder the USB-C port, do not bend any of the pins. The USB-C port from the kit fits only with the correct polarity. 

<img src="../media/IMG_2174.jpeg" width="500"/>

Last but not least now the buttons can be mounted to the main PCB.

<img src="../media/IMG_2172.jpeg" width="500"/>

Now it's time to solder the 2X4 2.54 male headers to the e-Ink displays. The choice is yours whether you want to use the yellow ones or choose to use black headers. In our opinion it is more pleasant to choose the black one because most of the parts are black.

<img src="../media/IMG_2175.jpeg" width="500"/>

You have done it; all parts are on the main PCB now! Before we continue to build the clock together we first want to test the displays, so it's time to upload the software to the Wemos S3 Mini. See the [build and install firmware wiki-page](Build-and-install-firmware)

## Place screws and standoffs

First, disassemble the displays and place all the 10mm female - female standoffs at the front of the main PCB with the 6mm screws. Keep in mind that at te corners at the back you have to use the 8mm female - male standoffs, this also applies to the middle 2 at the top of the back. 

At the bottom of the middle 2 you also have to use the 8mm female - male standoffs but these ones need a nut. Place on each 10mm standoff on the top of the standoffs an 1mm washer, place the displays on the top of them and mount them with the 6mm screws.

Keep in mind that at the corners on the top of the first (left corner) and last (right corner) display you don't use a screw, this is where the screw come to mount the front pcb in combination with acrylic front. 

![BTClock Screw Legend](https://github.com/dsbaars/btclock_v2/assets/480514/652e9572-4fb7-4b80-b3b6-4cb20246ca57)

<img src="../media/IMG_2255.jpeg" width="500"/>

<img src="../media/IMG_2256.jpeg" width="500"/>

<img src="../media/IMG_2257.jpeg" width="500"/>

## Pre-soldered everything version

If you have the pre-soldered everything version, you only need to solder the Wemos S3 Mini.

<img src="../media/IMG_2170.jpeg" width="500"/>

And then you can test the ePaper displays.

## Complete assembly

First fasten the acrylic back with 8x M3x6mm screws, after that you fasten Front PCB in combination with acrylic front with the 4x M3x8mm screws. Note that at the bottom corners you have to use an extra 1mm washer.

After that your clock should look like this

<img src="../media/IMG_2143.jpeg" width="500"/>